SET SERVEROUTPUT ON;
spool pruebas_ABM.log
set echo on
/**********************
     PRUEBAS ABM        
**********************/ 

--APLICACION
DECLARE
   RSP VARCHAR2(200);
BEGIN
   --Alta repetida de una aplicacin
   PR_ALTA_APLICACION('Aplicacion1', '1.0', TO_DATE ('12/01/2011'), 'http://www.uoc.edu/portal/es/index.html', '320x240', 'SI', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de una aplicacin con valores nulos
   PR_ALTA_APLICACION(NULL, '1.0', TO_DATE ('12/01/2011'), NULL, '320x240', 'SI', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de una aplicacin
   PR_BAJA_APLICACION('Aplicacion3', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una aplicacin que no existe
   PR_BAJA_APLICACION('Aplicacion9', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una aplicacin con valores nulos
   PR_BAJA_APLICACION(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de una aplicacin
   PR_MODIFICACION_APLICACION('Aplicacion1', '2.0', TO_DATE ('12/01/2011'), 'http://www.google.com', '320x240', 'SI', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de una aplicacin con valores nulos
   PR_MODIFICACION_APLICACION(NULL, '2.0', TO_DATE ('12/01/2011'), 'http://www.google.com', '320x240', 'SI', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una aplicacin que no existe
   PR_MODIFICACION_APLICACION('Aplicacion9', '2.0', TO_DATE ('12/01/2011'), 'http://www.google.com', '320x240', 'SI', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--PRECIO
   --Alta repetida de un precio
   PR_ALTA_PRECIO('Aplicacion1', 'ES', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de un precio con valores nulos
   PR_ALTA_PRECIO(NULL, 'ES', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de un precio con claves forneas incorrectas
   PR_ALTA_PRECIO('Aplicacion9', 'ES', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_PRECIO('Aplicacion2', 'GR', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_PRECIO('Aplicacion9', 'GR', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de un precio
   PR_BAJA_PRECIO('Aplicacion5', 'ES', RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un precio que no existe
   PR_BAJA_PRECIO('Aplicacion9', 'ES', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un precio con valores nulos
   PR_BAJA_PRECIO(NULL, 'ES', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de un precio
   PR_MODIFICACION_PRECIO('Aplicacion1', 'ES', 4, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de un precio con valores nulos
   PR_MODIFICACION_PRECIO(NULL, 'ES', 4, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un precio con claves forneas incorrectas
   PR_MODIFICACION_PRECIO('Aplicacion9', 'ES', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_MODIFICACION_PRECIO('Aplicacion2', 'GR', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_MODIFICACION_PRECIO('Aplicacion9', 'GR', 3.5, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un precio que no existe
   PR_MODIFICACION_PRECIO('Aplicacion9', 'ES', 4, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--DESCRIPCION
   --Alta repetida de una descripcion
   PR_ALTA_DESCRIPCION('Espanyol', 'Aplicacion1', 'Descripcin en Espanyol kjhhjvghjv', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de una descripcion con valores nulos
   PR_ALTA_DESCRIPCION(NULL, 'Aplicacion1', 'Descripcin en Espanyol kjhhjvghjv', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de una descripcion con clave fornea incorrecta
   PR_ALTA_DESCRIPCION('Espanyol', 'Aplicacion9', 'Descripcin en Espanyol kjhhjvghjv', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de una descripcion
   PR_BAJA_DESCRIPCION('Espanyol', 'Aplicacion1', RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una descripcion que no existe
   PR_BAJA_DESCRIPCION('Espanyol', 'Aplicacion9', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una descripcion con valores nulos
   PR_BAJA_DESCRIPCION('Espanyol', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de una descripcion
   PR_MODIFICACION_DESCRIPCION('Espanyol', 'Aplicacion1', 'Descripcin en Espanyol hola', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de una descripcion con valores nulos
   PR_MODIFICACION_DESCRIPCION(NULL, 'Aplicacion1', 'Descripcin en Espanyol kjhhjvghjv', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una descripcion con clave fornea incorrecta
   PR_MODIFICACION_DESCRIPCION('Espanyol', 'Aplicacion9', 'Descripcin en Espanyol kjhhjvghjv', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una descripcion que no existe
   PR_MODIFICACION_DESCRIPCION('Espanyol', 'Aplicacion11', 'Descripcin en Espanyol kjhhjvghjv', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--DISPONIBLE
   --Alta repetida de una entrada de la tabla DISPONIBLE
   PR_ALTA_DISPONIBLE('Aplicacion1', 'Android', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de una entrada de la tabla DISPONIBLE con valores nulos
   PR_ALTA_DISPONIBLE(NULL, 'Android', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de una entrada de la tabla DISPONIBLE con claves forneas incorrectas
   PR_ALTA_DISPONIBLE('Aplicacion11', 'otro', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_DISPONIBLE('Aplicacion11', 'Android', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_DISPONIBLE('Aplicacion1', 'otro', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de una entrada de la tabla DISPONIBLE
   PR_BAJA_DISPONIBLE('Aplicacion4', 'Symbian OS', RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una entrada de la tabla DISPONIBLE que no existe
   PR_BAJA_DISPONIBLE('Aplicacion40', 'Symbian OS', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una entrada de la tabla DISPONIBLE con valores nulos
   PR_BAJA_DISPONIBLE('Aplicacion40', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de una entrada de la tabla DISPONIBLE
   PR_MODIFICACION_DISPONIBLE('Aplicacion1', 'Android', 8719, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de una entrada de la tabla DISPONIBLE con valores nulos
   PR_MODIFICACION_DISPONIBLE(NULL, 'Android', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una entrada de la tabla DISPONIBLE con claves forneas incorrectas
   PR_MODIFICACION_DISPONIBLE('Aplicacion11', 'otro', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_MODIFICACION_DISPONIBLE('Aplicacion11', 'Android', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_MODIFICACION_DISPONIBLE('Aplicacion1', 'otro', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una entrada de la tabla DISPONIBLE que no existe
   PR_MODIFICACION_DISPONIBLE('Aplicacion111', 'Android', 4654, 'C/Aplicaciones/Aplicacion1_Android', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--USUARIO
   --Alta repetida de un usuario
   PR_ALTA_USUARIO(31415926535, 'Operador2', 'qwerty@mail.com', 'FR', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de un usuario con valores nulos
   PR_ALTA_USUARIO(31415926535, NULL, 'qwerty@mail.com', 'FR', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de un usuario con clave fornea incorrecta
   PR_ALTA_USUARIO(31415926535, 'Operador2', 'qwerty@mail.com', 'GR', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de un usuario
   PR_BAJA_USUARIO(123456789, RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un usuario que no existe
   PR_BAJA_USUARIO(2525, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un usuario con valores nulos
   PR_BAJA_USUARIO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de un usuario
   PR_MODIFICACION_USUARIO(2718281828, 'Operador5', 'dvorak@mail.com', 'PT', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de un usuario con valores nulos
   PR_MODIFICACION_USUARIO(2718281828, NULL, 'dvorak@mail.com', 'PT', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un usuario con clave fornea incorrecta
   PR_MODIFICACION_USUARIO(31415926535, 'Operador2', 'qwerty@mail.com', 'GR', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un usuario que no existe
   PR_MODIFICACION_USUARIO(271828, 'Operador4', 'dvorak@mail.com', 'PT', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--EMPRESA
   --Alta repetida de una empresa
   PR_ALTA_EMPRESA(1111111, 'Empresa 111', 'Representante Empresa 111', 'ES', 'Direccin empresa 111', 911111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de una empresa con valores nulos
   PR_ALTA_EMPRESA(NULL, 'Empresa 111', 'Representante Empresa 111', 'ES', 'Direccin empresa 111', 911111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de una empresa con clave fornea incorrecta
   PR_ALTA_EMPRESA(1111111, 'Empresa 111', 'Representante Empresa 111', 'GR', 'Direccin empresa 111', 911111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de una empresa
   PR_BAJA_EMPRESA(2222222, RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una empresa que no existe
   PR_BAJA_EMPRESA(2525, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una empresa con valores nulos
   PR_BAJA_EMPRESA(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de una empresa
   PR_MODIFICACION_EMPRESA(1111111, 'Empresa 1', 'Representante Empresa 1', 'ES', 'Direccin empresa 1', 911111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de una empresa con valores nulos
   PR_MODIFICACION_EMPRESA(1111111, NULL, 'Representante Empresa 111', 'ES', 'Direccin empresa 111', 911111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una empresa con clave fornea incorrecta
   PR_MODIFICACION_EMPRESA(1111111, 'Empresa 111', 'Representante Empresa 111', 'GR', 'Direccin empresa 111', 911111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una empresa que no existe
   PR_MODIFICACION_EMPRESA(333, 'Empresa 111', 'Representante Empresa 111', 'ES', 'Direccin empresa 111', 911111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--DESARROLLADOR
   --Alta repetida de un desarrollador
   PR_ALTA_DESARROLLADOR(31415926535, NULL, NULL, NULL, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de un desarrollador con valores nulos
   PR_ALTA_DESARROLLADOR(NULL, NULL, NULL, NULL, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de un desarrollador con clave fornea incorrecta
   PR_ALTA_DESARROLLADOR(31415926535, 4545, NULL, NULL, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de un desarrollador con datos de usuario incorrectos
   PR_ALTA_DESARROLLADOR(19191919, NULL, 'Operador4', 'mail@mail.com', 'GR', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de un desarrollador
   PR_BAJA_DESARROLLADOR(100000000, RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un desarrollador que no existe
   PR_BAJA_DESARROLLADOR(2525, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un desarrollador con valores nulos
   PR_BAJA_DESARROLLADOR(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de un desarrollador
   PR_MODIFICACION_DESARROLLADOR(31415926535, 1111111, 'Operador2', 'qwerty@mail.com', 'FR', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de un desarrollador con valores nulos
   PR_MODIFICACION_DESARROLLADOR(31415926535, NULL, NULL, NULL, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un desarrollador con clave fornea incorrecta
   PR_MODIFICACION_DESARROLLADOR(31415926535, 4545, NULL, NULL, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un desarrollador que no existe
   PR_MODIFICACION_DESARROLLADOR(31415, NULL, 'Operador2', 'qwerty@mail.com', 'FR', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--DESARROLLA
   --Alta repetida de una entrada de la tabla DESARROLLA
   PR_ALTA_DESARROLLA(31415926535, 'Aplicacion1',  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de una entrada de la tabla DESARROLLA con valores nulos
   PR_ALTA_DESARROLLA(31415926535, NULL,  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de una entrada de la tabla DESARROLLA con claves forneas incorrectas
   PR_ALTA_DESARROLLA(31415, 'Aplicacion25',  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_DESARROLLA(31415, 'Aplicacion1',  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_DESARROLLA(31415926535, 'Aplicacion25',  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de una entrada de la tabla DESARROLLA
   PR_BAJA_DESARROLLA(2718281828, 'Aplicacion1',  RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una entrada de la tabla DESARROLLA que no existe
   PR_BAJA_DESARROLLA(2718281828, 'Aplicacion23',  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una entrada de la tabla DESARROLLA con valores nulos
   PR_BAJA_DESARROLLA(2718281828, NULL,  RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 


--DISPOSITIVO
   --Alta repetida de un dispositivo
   PR_ALTA_DISPOSITIVO(888888888888888, 'Android', 'Modelo7', '480x800', 31415926535, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de un dispositivo con valores nulos
   PR_ALTA_DISPOSITIVO(888888888888888, NULL, 'Modelo7', '480x800', 31415926535, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de un dispositivo con clave fornea incorrecta
   PR_ALTA_DISPOSITIVO(888888888888888, 'Android', 'Modelo7', '480x800', 31415, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de un dispositivo
   PR_BAJA_DISPOSITIVO(000000000000000, RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un dispositivo que no existe
   PR_BAJA_DISPOSITIVO(252525252525252, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de un dispositivo con valores nulos
   PR_BAJA_DISPOSITIVO(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de un dispositivo
   PR_MODIFICACION_DISPOSITIVO(888888888888888, 'Android', 'Modelo10', '480x800', 31415926535, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de un dispositivo con valores nulos
   PR_MODIFICACION_DISPOSITIVO(888888888888888, NULL, 'Modelo7', '480x800', 31415926535, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un dispositivo con clave fornea incorrecta
   PR_MODIFICACION_DISPOSITIVO(888888888888888, 'Android', 'Modelo7', '480x800', 31415, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de un dispositivo que no existe
   PR_MODIFICACION_DISPOSITIVO(252525252525252, 'Android', 'Modelo7', '480x800', 31415926535, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);


--DESCARGA
   --Alta repetida de una descarga
   PR_ALTA_DESCARGA('Aplicacion1', 111111111111111, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
   
   --Alta de una descarga con valores nulos
   PR_ALTA_DESCARGA(NULL, 111111111111111, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Alta de una descarga con clave fornea incorrecta
   PR_ALTA_DESCARGA('Aplicacion33', 111111111111111, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_DESCARGA('Aplicacion1', 252525252525252, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_ALTA_DESCARGA('Aplicacion5', 111111111111111, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   
   --Baja correcta de una descarga
   PR_BAJA_DESCARGA('Aplicacion6', 111111111111111, RSP); 
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una descarga que no existe
   PR_BAJA_DESCARGA('Aplicacion12', 111111111111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Baja de una descarga con valores nulos
   PR_BAJA_DESCARGA(NULL, 111111111111111, RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 
  
   --Modificacin correcta de una descarga
   PR_MODIFICACION_DESCARGA('Aplicacion1', 111111111111111, TO_DATE ('25/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP); 

   --Modificacin de una descarga con valores nulos
   PR_MODIFICACION_DESCARGA(NULL, 111111111111111, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una descarga con clave fornea incorrecta
   PR_MODIFICACION_DESCARGA('Aplicacion33', 111111111111111, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_MODIFICACION_DESCARGA('Aplicacion1', 252525252525252, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);
   PR_MODIFICACION_DESCARGA('Aplicacion5', 111111111111111, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);

   --Modificacin de una descarga que no existe
   PR_MODIFICACION_DESCARGA('Aplicacion1', 252525252525252, TO_DATE ('27/10/2011'), 'paypal', 3.5, 'Operador1', RSP);
   DBMS_OUTPUT.PUT_LINE(RSP);   
END;
